TKeyDataWithSecondaryKeys (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Class TKeyDataWithSecondaryKeys

- java.lang.Object
- - com.sleepycat.thrift.TKeyDataWithSecondaryKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TKeyDataWithSecondaryKeys>, org.apache.thrift.TBase<TKeyDataWithSecondaryKeys,TKeyDataWithSecondaryKeys._Fields>, org.apache.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.10.0)",
                 date="2017-08-25")
      public class TKeyDataWithSecondaryKeys
      extends java.lang.Object
      implements org.apache.thrift.TBase<TKeyDataWithSecondaryKeys,TKeyDataWithSecondaryKeys._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TKeyDataWithSecondaryKeys>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TKeyDataWithSecondaryKeys._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.Map<TKeyDataWithSecondaryKeys._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `TDbt` | `pdata`
    `TDbt` | `pkey`
    `java.util.Map<TDatabase,java.util.List<TDbt>>` | `skeys`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TKeyDataWithSecondaryKeys()`
    `TKeyDataWithSecondaryKeys(TKeyDataWithSecondaryKeys other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(TKeyDataWithSecondaryKeys other)`
    `TKeyDataWithSecondaryKeys` | `deepCopy()`
    `boolean` | `equals(java.lang.Object that)`
    `boolean` | `equals(TKeyDataWithSecondaryKeys that)`
    `TKeyDataWithSecondaryKeys._Fields` | `fieldForId(int fieldId)`
    `java.lang.Object` | `getFieldValue(TKeyDataWithSecondaryKeys._Fields field)`
    `TDbt` | `getPdata()`
    `TDbt` | `getPkey()`
    `java.util.Map<TDatabase,java.util.List<TDbt>>` | `getSkeys()`
    `int` | `getSkeysSize()`
    `int` | `hashCode()`
    `boolean` | `isSet(TKeyDataWithSecondaryKeys._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetPdata()` Returns true if field pdata is set (has been assigned a value) and false otherwise
    `boolean` | `isSetPkey()` Returns true if field pkey is set (has been assigned a value) and false otherwise
    `boolean` | `isSetSkeys()` Returns true if field skeys is set (has been assigned a value) and false otherwise
    `void` | `putToSkeys(TDatabase key, java.util.List<TDbt> val)`
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `void` | `setFieldValue(TKeyDataWithSecondaryKeys._Fields field, java.lang.Object value)`
    `TKeyDataWithSecondaryKeys` | `setPdata(TDbt pdata)`
    `void` | `setPdataIsSet(boolean value)`
    `TKeyDataWithSecondaryKeys` | `setPkey(TDbt pkey)`
    `void` | `setPkeyIsSet(boolean value)`
    `TKeyDataWithSecondaryKeys` | `setSkeys(java.util.Map<TDatabase,java.util.List<TDbt>> skeys)`
    `void` | `setSkeysIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetPdata()`
    `void` | `unsetPkey()`
    `void` | `unsetSkeys()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### pkey

          public TDbt pkey

    - #### pdata

          public TDbt pdata

    - #### skeys

          public java.util.Map<TDatabase,java.util.List<TDbt>> skeys

    - #### metaDataMap

          public static final java.util.Map<TKeyDataWithSecondaryKeys._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### TKeyDataWithSecondaryKeys

          public TKeyDataWithSecondaryKeys()

    - #### TKeyDataWithSecondaryKeys

          public TKeyDataWithSecondaryKeys(TKeyDataWithSecondaryKeys other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public TKeyDataWithSecondaryKeys deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<TKeyDataWithSecondaryKeys,TKeyDataWithSecondaryKeys._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<TKeyDataWithSecondaryKeys,TKeyDataWithSecondaryKeys._Fields>`

    - #### getPkey

          public TDbt getPkey()

    - #### setPkey

          public TKeyDataWithSecondaryKeys setPkey(TDbt pkey)

    - #### unsetPkey

          public void unsetPkey()

    - #### isSetPkey

          public boolean isSetPkey()

      Returns true if field pkey is set (has been assigned a value) and false otherwise

    - #### setPkeyIsSet

          public void setPkeyIsSet(boolean value)

    - #### getPdata

          public TDbt getPdata()

    - #### setPdata

          public TKeyDataWithSecondaryKeys setPdata(TDbt pdata)

    - #### unsetPdata

          public void unsetPdata()

    - #### isSetPdata

          public boolean isSetPdata()

      Returns true if field pdata is set (has been assigned a value) and false otherwise

    - #### setPdataIsSet

          public void setPdataIsSet(boolean value)

    - #### getSkeysSize

          public int getSkeysSize()

    - #### putToSkeys

          public void putToSkeys(TDatabase key,
                                 java.util.List<TDbt> val)

    - #### getSkeys

          public java.util.Map<TDatabase,java.util.List<TDbt>> getSkeys()

    - #### setSkeys

          public TKeyDataWithSecondaryKeys setSkeys(java.util.Map<TDatabase,java.util.List<TDbt>> skeys)

    - #### unsetSkeys

          public void unsetSkeys()

    - #### isSetSkeys

          public boolean isSetSkeys()

      Returns true if field skeys is set (has been assigned a value) and false otherwise

    - #### setSkeysIsSet

          public void setSkeysIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(TKeyDataWithSecondaryKeys._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<TKeyDataWithSecondaryKeys,TKeyDataWithSecondaryKeys._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(TKeyDataWithSecondaryKeys._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<TKeyDataWithSecondaryKeys,TKeyDataWithSecondaryKeys._Fields>`

    - #### isSet

          public boolean isSet(TKeyDataWithSecondaryKeys._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<TKeyDataWithSecondaryKeys,TKeyDataWithSecondaryKeys._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(TKeyDataWithSecondaryKeys that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(TKeyDataWithSecondaryKeys other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<TKeyDataWithSecondaryKeys>`

    - #### fieldForId

          public TKeyDataWithSecondaryKeys._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<TKeyDataWithSecondaryKeys,TKeyDataWithSecondaryKeys._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.